> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlock two factor configuration.

> Re-authenticate to unlock two factor configuration.
Two factor configuration must be unlocked to enable or disable two
factor authentication, add or remove two factor devices, or
regenerate recovery codes.

## OpenAPI

````json POST /sys/v1/session/config_2fa/auth
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/session/config_2fa/auth": {
      "post": {
        "operationId": "Config2faAuth",
        "tags": [
          "Session"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Unlock two factor configuration.",
        "description": "Re-authenticate to unlock two factor configuration.\nTwo factor configuration must be unlocked to enable or disable two\nfactor authentication, add or remove two factor devices, or\nregenerate recovery codes.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Config2faAuthRequest"
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Config2faAuthResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Config2faAuthRequest": {
        "allOf": [
          {
            "type": "object",
            "description": "Request to start configuring U2F.",
            "properties": {
              "password": {
                "type": "string"
              }
            },
            "required": [
              "password"
            ]
          }
        ]
      },
      "Config2faAuthResponse": {
        "allOf": [
          {
            "type": "object",
            "properties": {}
          }
        ]
      }
    }
  }
}
````

